GNU bug report logs - #33759
[PATCH] gnu: linkchecker: Fix build.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Baines <mail@HIDDEN>; Keywords: pending patch; dated Sat, 15 Dec 2018 12:18:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) pending. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33759 <at> debbugs.gnu.org:


Received: (at 33759) by debbugs.gnu.org; 25 Jan 2019 22:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 25 17:14:46 2019
Received: from localhost ([127.0.0.1]:45681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gn9kM-0001hH-0S
	for submit <at> debbugs.gnu.org; Fri, 25 Jan 2019 17:14:46 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56854
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gn9kJ-0001h8-Ia
 for 33759 <at> debbugs.gnu.org; Fri, 25 Jan 2019 17:14:44 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 97CFA169EE
 for <33759 <at> debbugs.gnu.org>; Fri, 25 Jan 2019 22:14:42 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 49965863
 for <33759 <at> debbugs.gnu.org>; Fri, 25 Jan 2019 22:14:42 +0000 (UTC)
References: <20181215121700.11320-1-mail@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: 33759 <at> debbugs.gnu.org
Subject: Re: [bug#33759] [PATCH] gnu: linkchecker: Fix build.
In-reply-to: <20181215121700.11320-1-mail@HIDDEN>
Date: Fri, 25 Jan 2019 22:14:39 +0000
Message-ID: <874l9widv4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33759
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

I've pushed all these patches now in one form or another as I didn't
want to forget about them. The linkchecker package still isn't building
anywhere, but once the Python fix on core-updates reaches master, then
it should be fixed.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlxLik9fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xfn8Q//XGzz+B+gNVZlAcXpkF5v24uUYF9TNgJvfcXRiIlTJCwpAY5L2DO7QYxC
8ppruoOOZ6Vlgoqh1Y7vLwFidvWrTHA6LArV63f1SoXdyea5SA5bOvd5nrWu+rQY
I5KsBMzvrTLWXRho+9h5Oxrm/Y5K6tXeo34mfwZAEbjDH8QLpqpHSdqWKkp+XJ7C
c0ziITBqbQx9FgR+xOdSrL4UMsDmeFaP1AUENFJKgRyQ6OvdmjW5WUqDOKFI5v90
y2NjOualiq7+M9IgqnJcDMVqT654jjShRSWWfJJx9YYWNSQ1wdND8FMuk6El767R
wqADv4l9JJlLUJ61psoApIU72eyS8AleB6wOV63VjgFxgDSQ0ZHYDDhZlsJECXed
WGx3HF4pqWE9MKeZL0pJuH1iXwgxxOiL4v1TrQavuHs9AkHcYkc8Lf1FMxG+l6/V
t9MBpSI02isL3dBkHevGCotRpISNNWsDgXUUTG+BQzALZ3TPApi625f64JlDzxy5
/kG9L0XqT+efGrpQTzX2VoEt0by7lPFYHLcXdYWRfyhC9ctM4XYhNIQci7cXhvby
IjqOK3hEztA9NpmDrzif1r/emQ5/W0xGyUpe+DdDL/ztRpZ5oZsl+L84y5hGMdnz
H6q7NfNU9t8UW4cVT0RI8zOAnN9o/Ri9r4fo3g+b2aNRZzSS17o=
=DffR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.

Message received at 33759 <at> debbugs.gnu.org:


Received: (at 33759) by debbugs.gnu.org; 3 Jan 2019 21:35:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 16:35:11 2019
Received: from localhost ([127.0.0.1]:46022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfAdq-0000v3-VH
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:35:10 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56812
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gfAdh-0000tY-US
 for 33759 <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:35:01 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 65A2216A0E
 for <33759 <at> debbugs.gnu.org>; Thu,  3 Jan 2019 21:34:53 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 22159e2d
 for <33759 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 21:34:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 33759 <at> debbugs.gnu.org
Subject: [PATCH v2 5/5] gnu: linkchecker: Fix the package building.
Date: Thu,  3 Jan 2019 21:34:52 +0000
Message-Id: <20190103213452.1829-5-mail@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190103213452.1829-1-mail@HIDDEN>
References: <20181215121700.11320-1-mail@HIDDEN>
 <20190103213452.1829-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33759
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python.scm (linkchecker)[source]: Add patch.
[native-inputs]: Add more inputs required for the tests.
[arguments]: Enable the tests, move the 'check phase after 'install. Test
using the installed software, and use py.test.
---
 gnu/local.mk                                  |   1 +
 ...-more-tests-that-require-the-network.patch | 182 ++++++++++++++++++
 gnu/packages/web.scm                          |  30 ++-
 3 files changed, 209 insertions(+), 4 deletions(-)
 create mode 100644 gnu/packages/patches/linkchecker-mark-more-tests-that-require-the-network.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 0bb0203354..e0a5fa60ae 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -935,6 +935,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/lierolibre-newer-libconfig.patch		\
   %D%/packages/patches/lierolibre-remove-arch-warning.patch	\
   %D%/packages/patches/lierolibre-try-building-other-arch.patch	\
+  %D%/packages/patches/linkchecker-mark-more-tests-that-require-the-network.patch.patch	\
   %D%/packages/patches/linux-pam-no-setfsuid.patch		\
   %D%/packages/patches/lirc-localstatedir.patch			\
   %D%/packages/patches/lirc-reproducible-build.patch		\
diff --git a/gnu/packages/patches/linkchecker-mark-more-tests-that-require-the-network.patch b/gnu/packages/patches/linkchecker-mark-more-tests-that-require-the-network.patch
new file mode 100644
index 0000000000..f3e488cec2
--- /dev/null
+++ b/gnu/packages/patches/linkchecker-mark-more-tests-that-require-the-network.patch
@@ -0,0 +1,182 @@
+From f24c88a0732024028fffe0372039a847e91722ea Mon Sep 17 00:00:00 2001
+From: Christopher Baines <mail@HIDDEN>
+Date: Tue, 1 Jan 2019 22:36:29 +0000
+Subject: [PATCH] Mark more tests that require the network
+
+I believe all these tests require the network, at least they seem to
+fail if it's I run them without connecting my computer to the web.
+
+I'm looking at this as part of packaging linkchecker for GNU Guix,
+where the package is build and the tests are run in a isolated
+environment, intentionally without network access, to avoid issues
+with non-reproducible package builds.
+---
+ tests/checker/test_http.py          | 2 ++
+ tests/checker/test_http_misc.py     | 2 ++
+ tests/checker/test_http_redirect.py | 2 ++
+ tests/checker/test_httpbin.py       | 5 +++++
+ tests/checker/test_misc.py          | 4 ++++
+ tests/checker/test_whitespace.py    | 3 +++
+ 6 files changed, 18 insertions(+)
+
+diff --git a/tests/checker/test_http.py b/tests/checker/test_http.py
+index e4c1e097..8a8af567 100644
+--- a/tests/checker/test_http.py
++++ b/tests/checker/test_http.py
+@@ -20,6 +20,7 @@
+ 
+ import pytest
+ 
++from tests import need_network
+ from .httpserver import HttpServerTest, CookieRedirectHttpRequestHandler
+ 
+ class TestHttp (HttpServerTest):
+@@ -29,6 +30,7 @@ def __init__(self, methodName='runTest'):
+         super(TestHttp, self).__init__(methodName=methodName)
+         self.handler = CookieRedirectHttpRequestHandler
+ 
++    @need_network
+     def test_html (self):
+         confargs = dict(recursionlevel=1)
+         self.file_test("http.html", confargs=confargs)
+diff --git a/tests/checker/test_http_misc.py b/tests/checker/test_http_misc.py
+index 9922d85f..c6b6afdb 100644
+--- a/tests/checker/test_http_misc.py
++++ b/tests/checker/test_http_misc.py
+@@ -20,11 +20,13 @@
+ import os
+ import sys
+ from .httpserver import HttpServerTest
++from tests import need_network
+ from linkcheck.network import iputil
+ 
+ class TestHttpMisc (HttpServerTest):
+     """Test http:// misc link checking."""
+ 
++    @need_network
+     def test_html (self):
+         self.swf_test()
+         self.obfuscate_test()
+diff --git a/tests/checker/test_http_redirect.py b/tests/checker/test_http_redirect.py
+index f212d98e..2253a70d 100644
+--- a/tests/checker/test_http_redirect.py
++++ b/tests/checker/test_http_redirect.py
+@@ -17,6 +17,7 @@
+ """
+ Test http checking.
+ """
++from tests import need_network
+ from .httpserver import HttpServerTest, CookieRedirectHttpRequestHandler
+ 
+ class TestHttpRedirect (HttpServerTest):
+@@ -26,6 +27,7 @@ def __init__(self, methodName='runTest'):
+         super(TestHttpRedirect, self).__init__(methodName=methodName)
+         self.handler = CookieRedirectHttpRequestHandler
+ 
++    @need_network
+     def test_redirect (self):
+         self.redirect1()
+         self.redirect2()
+diff --git a/tests/checker/test_httpbin.py b/tests/checker/test_httpbin.py
+index 0319c2f6..4c8fa846 100644
+--- a/tests/checker/test_httpbin.py
++++ b/tests/checker/test_httpbin.py
+@@ -18,6 +18,7 @@
+ Test http stuff with httpbin.org.
+ """
+ import re
++from tests import need_network
+ from . import LinkCheckTest
+ 
+ 
+@@ -30,6 +31,7 @@ def get_httpbin_url(path):
+ class TestHttpbin(LinkCheckTest):
+     """Test http:// link redirection checking."""
+ 
++    @need_network
+     def test_http_link(self):
+         linkurl = u"http://www.example.com"
+         nlinkurl = self.norm(linkurl)
+@@ -48,6 +50,7 @@ def test_http_link(self):
+         ]
+         self.direct(url, resultlines, recursionlevel=1)
+ 
++    @need_network
+     def test_basic_auth(self):
+         user = u"testuser"
+         password = u"testpassword"
+@@ -67,6 +70,7 @@ def test_basic_auth(self):
+         ]
+         self.direct(url, resultlines, confargs=confargs)
+ 
++    @need_network
+     def test_http_refresh_header(self):
+         linkurl = u"http://www.example.com"
+         nlinkurl = self.norm(linkurl)
+@@ -85,6 +89,7 @@ def test_http_refresh_header(self):
+         ]
+         self.direct(url, resultlines, recursionlevel=1)
+ 
++    @need_network
+     def test_http_content_location_header(self):
+         linkurl = u"http://www.example.com"
+         nlinkurl = self.norm(linkurl)
+diff --git a/tests/checker/test_misc.py b/tests/checker/test_misc.py
+index 2e4cfd07..f9591f9d 100644
+--- a/tests/checker/test_misc.py
++++ b/tests/checker/test_misc.py
+@@ -17,6 +17,7 @@
+ """
+ Test miscellaneous html tag parsing and URL types
+ """
++from tests import need_network
+ from . import LinkCheckTest
+ 
+ 
+@@ -25,15 +26,18 @@ class TestMisc (LinkCheckTest):
+     Test misc link types.
+     """
+ 
++    @need_network
+     def test_misc (self):
+         self.file_test("misc.html")
+ 
+     def test_html5 (self):
+         self.file_test("html5.html")
+ 
++    @need_network
+     def test_archive (self):
+         self.file_test("archive.html")
+ 
++    @need_network
+     def test_itms_services(self):
+         url = u"itms-services:?action=download-manifest&url=http://www.example.com/"
+         resultlines = [
+diff --git a/tests/checker/test_whitespace.py b/tests/checker/test_whitespace.py
+index 609c108a..fc2727d6 100644
+--- a/tests/checker/test_whitespace.py
++++ b/tests/checker/test_whitespace.py
+@@ -17,6 +17,7 @@
+ """
+ Test whitespace handling.
+ """
++from tests import need_network
+ from . import LinkCheckTest
+ 
+ 
+@@ -25,6 +26,7 @@ class TestWhitespace (LinkCheckTest):
+     Test whitespace in URLs.
+     """
+ 
++    @need_network
+     def test_leading_whitespace (self):
+         # Leading whitespace
+         url = u" http://www.example.org/"
+@@ -50,6 +52,7 @@ def test_leading_whitespace (self):
+         ]
+         self.direct(url, resultlines)
+ 
++    @need_network
+     def test_trailing_whitespace (self):
+         # Trailing whitespace
+         url = u"http://www.example.org/ "
diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 607f8efe69..65901a5aeb 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -5805,6 +5805,9 @@ Instagram and YouTube.")
        (uri (git-reference
              (url "https://github.com/linkchecker/linkchecker")
              (commit (string-append "v" version))))
+       (patches
+        (search-patches
+         "linkchecker-mark-more-tests-that-require-the-network.patch"))
        (file-name (git-file-name name version))
        (sha256
         (base32
@@ -5815,12 +5818,31 @@ Instagram and YouTube.")
        ("python2-pyxdg" ,python2-pyxdg)
        ("python2-requests" ,python2-requests)))
     (native-inputs
-     `(("python2-pytest" ,python2-pytest)))
+     `(("gettext" ,gettext-minimal)
+       ("python2-pytest" ,python2-pytest)
+       ("python2-miniboa" ,python2-miniboa)
+       ("python2-parameterized" ,python2-parameterized)))
     (arguments
      `(#:python ,python-2
-       ;; TODO: Tests currently fail. Looks to be a mixture of trying to use
-       ;; /homeless-shelter and maybe the network.
-       #:tests? #f))
+       #:phases
+       (modify-phases %standard-phases
+         ;; Move the 'check phase to after 'install, so that the installed
+         ;; library can be used
+         (delete 'check)
+         (add-after 'install 'check
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               ;; Set PYTHONPATH so that the installed linkchecker is used
+               (setenv "PYTHONPATH"
+                       (string-append out "/lib/python2.7/site-packages"
+                                      ":"
+                                      (getenv "PYTHONPATH")))
+               ;; Remove this directory to avoid it being used when running
+               ;; the tests
+               (delete-file-recursively "linkcheck")
+
+               (invoke "py.test" "tests"))
+             #t)))))
     (home-page "https://linkcheck.github.io/linkchecker")
     (synopsis "Check websites for broken links")
     (description "LinkChecker is a website validator.  It checks for broken
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.

Message received at 33759 <at> debbugs.gnu.org:


Received: (at 33759) by debbugs.gnu.org; 3 Jan 2019 21:34:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 16:34:56 2019
Received: from localhost ([127.0.0.1]:46020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfAdk-0000uI-Kk
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:34:56 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56810
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gfAdh-0000tX-TX
 for 33759 <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:34:55 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 411CF16A0D
 for <33759 <at> debbugs.gnu.org>; Thu,  3 Jan 2019 21:34:53 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 8beda8c9
 for <33759 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 21:34:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 33759 <at> debbugs.gnu.org
Subject: [PATCH v2 4/5] gnu: python-futures: Enable tests.
Date: Thu,  3 Jan 2019 21:34:51 +0000
Message-Id: <20190103213452.1829-4-mail@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190103213452.1829-1-mail@HIDDEN>
References: <20181215121700.11320-1-mail@HIDDEN>
 <20190103213452.1829-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33759
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Re-enable the tests, as the python-2 package now has the support
directory. Also, switch to running the tests via the test_futures.py script to
avoid errors like:

  AttributeError: 'AsCompletedTests' object has no attribute 'executor'

* gnu/packages/python.scm (python2-futures)[arguments]: Run the
test_futures.py script to run the tests.
---
 gnu/packages/python.scm | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 550643adb8..54bc1d4d02 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -7918,11 +7918,14 @@ otherwise matches 3.2’s API.")
          (base32
           "0rdjmmsab550kxsssdq49jcniz77zlkpw4pvi9hvib3lsskjmh4y"))))
     (build-system python-build-system)
-    (arguments `(#:python ,python-2
-                 ;; FIXME: Python 2.7.14 moved the test.support library,
-                 ;; but our package has not yet been adjusted.  Enable
-                 ;; tests when the python2 package has been fixed.
-                 #:tests? #f))
+    (arguments
+     `(#:python ,python-2
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda _
+             (invoke "python" "test_futures.py")
+             #t)))))
     (home-page "https://github.com/agronholm/pythonfutures")
     (synopsis
      "Backport of the concurrent.futures package from Python 3.2")
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.

Message received at 33759 <at> debbugs.gnu.org:


Received: (at 33759) by debbugs.gnu.org; 3 Jan 2019 21:34:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 16:34:56 2019
Received: from localhost ([127.0.0.1]:46018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfAdk-0000uB-Bl
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:34:56 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56808
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gfAdh-0000tW-Tf
 for 33759 <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:34:55 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 1A9A616A0B
 for <33759 <at> debbugs.gnu.org>; Thu,  3 Jan 2019 21:34:53 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 71742858
 for <33759 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 21:34:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 33759 <at> debbugs.gnu.org
Subject: [PATCH v2 3/5] gnu: python-2.7: Include /lib/python.../test/support.
Date: Thu,  3 Jan 2019 21:34:50 +0000
Message-Id: <20190103213452.1829-3-mail@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190103213452.1829-1-mail@HIDDEN>
References: <20181215121700.11320-1-mail@HIDDEN>
 <20190103213452.1829-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33759
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Don't remove the support directory from the /lib/python.../test/ directory, as
this is used from the test_support module.

  /gnu/store/...-python2-2.7.15/lib/python2.7/test/test_support.py:2: in <module>
      import test.support
  E   ImportError: No module named support

* gnu/packages/python.scm (python-2.7)[arguments]: Change the 'remove-tests
phase to not remove the support directory.
---
 gnu/packages/python.scm | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 852beb73da..550643adb8 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -260,12 +260,9 @@
                                  (scandir testdir
                                           (match-lambda
                                             ((or "." "..") #f)
+                                            ("support" #f)
                                             (file
                                              (not
-                                              ;; FIXME: Add the 'support' directory
-                                              ;; in the next rebuild cycle, since it
-                                              ;; moved in 2.7.14.  See also
-                                              ;; python2-futures below.
                                               (string-prefix? "test_support."
                                                               file))))))
                        (call-with-output-file "__init__.py" (const #t))
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.

Message received at 33759 <at> debbugs.gnu.org:


Received: (at 33759) by debbugs.gnu.org; 3 Jan 2019 21:34:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 16:34:56 2019
Received: from localhost ([127.0.0.1]:46016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfAdk-0000u5-2Z
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:34:56 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56804
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gfAdh-0000tU-TY
 for 33759 <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:34:54 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id B0F0516A07
 for <33759 <at> debbugs.gnu.org>; Thu,  3 Jan 2019 21:34:52 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id d2031e58
 for <33759 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 21:34:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 33759 <at> debbugs.gnu.org
Subject: [PATCH v2 1/5] gnu: linkchecker: Fix build.
Date: Thu,  3 Jan 2019 21:34:48 +0000
Message-Id: <20190103213452.1829-1-mail@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20181215121700.11320-1-mail@HIDDEN>
References: <20181215121700.11320-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33759
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

For some reason, the tests fail due to the lack of pytest. But when that's
added as an input, then some tests fail in other ways.

* gnu/packages/web.scm (linkchecker)[native-inputs]: Add python2-pytest.
[arguments]: Set #:tests? to #f.
---
 gnu/packages/web.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 84bd795a85..607f8efe69 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -5814,8 +5814,13 @@ Instagram and YouTube.")
      `(("python2-dnspython" ,python2-dnspython)
        ("python2-pyxdg" ,python2-pyxdg)
        ("python2-requests" ,python2-requests)))
+    (native-inputs
+     `(("python2-pytest" ,python2-pytest)))
     (arguments
-     `(#:python ,python-2))
+     `(#:python ,python-2
+       ;; TODO: Tests currently fail. Looks to be a mixture of trying to use
+       ;; /homeless-shelter and maybe the network.
+       #:tests? #f))
     (home-page "https://linkcheck.github.io/linkchecker")
     (synopsis "Check websites for broken links")
     (description "LinkChecker is a website validator.  It checks for broken
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.

Message received at 33759 <at> debbugs.gnu.org:


Received: (at 33759) by debbugs.gnu.org; 3 Jan 2019 21:34:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 16:34:56 2019
Received: from localhost ([127.0.0.1]:46014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfAdj-0000u1-QK
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:34:56 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56806
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gfAdh-0000tV-Tf
 for 33759 <at> debbugs.gnu.org; Thu, 03 Jan 2019 16:34:54 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id E05F816A0A
 for <33759 <at> debbugs.gnu.org>; Thu,  3 Jan 2019 21:34:52 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id e5d401c7
 for <33759 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 21:34:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 33759 <at> debbugs.gnu.org
Subject: [PATCH v2 2/5] gnu: Add python-miniboa.
Date: Thu,  3 Jan 2019 21:34:49 +0000
Message-Id: <20190103213452.1829-2-mail@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20190103213452.1829-1-mail@HIDDEN>
References: <20181215121700.11320-1-mail@HIDDEN>
 <20190103213452.1829-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33759
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

python2-miniboa is required for the linkchecker testsuite.

* gnu/packages/python.scm (python-miniboa, python2-miniboa): New variable.
---
 gnu/packages/python.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 00d60333a4..852beb73da 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -1755,6 +1755,28 @@ matching them against a list of media-ranges.")
 (define-public python2-mimeparse
   (package-with-python2 python-mimeparse))
 
+(define-public python-miniboa
+  (package
+    (name "python-miniboa")
+    (version "1.0.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "miniboa" version))
+       (sha256
+        (base32
+         "09jh3pn4rh7kh7jayanf8jzy6gp03791b5a193w6148cf3i6k9m3"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/shmup/miniboa")
+    (synopsis "Simple, single-threaded Telnet server")
+    (description
+     "Miniboa is a simple, asynchronous, single-threaded, poll-based Telnet
+server.")
+    (license license:asl2.0)))
+
+(define-public python2-miniboa
+  (package-with-python2 python-miniboa))
+
 (define-public python-pafy
   (package
     (name "python-pafy")
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.

Message received at 33759 <at> debbugs.gnu.org:


Received: (at 33759) by debbugs.gnu.org; 1 Jan 2019 22:58:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 01 17:58:02 2019
Received: from localhost ([127.0.0.1]:44192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1geSz4-0000DO-0T
	for submit <at> debbugs.gnu.org; Tue, 01 Jan 2019 17:58:02 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:55320
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1geSz1-0000DA-KF
 for 33759 <at> debbugs.gnu.org; Tue, 01 Jan 2019 17:58:00 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 9F7DF16998;
 Tue,  1 Jan 2019 22:57:58 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id b0a668ce;
 Tue, 1 Jan 2019 22:57:58 +0000 (UTC)
References: <20181215121700.11320-1-mail@HIDDEN> <87h8fdv73c.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#33759] [PATCH] gnu: linkchecker: Fix build.
In-reply-to: <87h8fdv73c.fsf@HIDDEN>
Date: Tue, 01 Jan 2019 22:57:54 +0000
Message-ID: <874lasvvd9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33759
Cc: 33759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello Chris!
>
> Christopher Baines <mail@HIDDEN> skribis:
>
>> For some reason, the tests fail due to the lack of pytest. But when that=
's
>> added as an input, then some tests fail in other ways.
>>
>> * gnu/packages/web.scm (linkchecker)[native-inputs]: Add python2-pytest.
>> [arguments]: Set #:tests? to #f.
>
> [...]
>
>> +     `(#:python ,python-2
>> +       ;; TODO: Tests currently fail. Looks to be a mixture of trying t=
o use
>> +       ;; /homeless-shelter and maybe the network.
>> +       #:tests? #f))
>
> Did you try adding a phase that does (setenv "HOME" (getcwd))?
>
> IMO it would be best to get some confidence that the test failures are
> benign, possibly working around them with tricks as above.

I've finally made some time to look at thsi more. The HOME issue seems
to not exist, and I think I've got the testsuite working now.

I noticed that some tests are skipped because they depend on the
network, and this seems helpful, but I think it's just been missed for
some tests. I've pushed a patch upstream to mark some more tests as
needing the network [1].

1: https://github.com/linkchecker/linkchecker/pull/202

I'll try to wrangle that patch in to Guix, and neaten up the other
changes, and send some updated patches soon.

Thanks for taking a look,

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlwr8HJfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XeHiA/+KxGCNbyXxacfsKuv9kw04BKH2fnbjGJiQECEwmlTksg5B876SgPp2Nqo
8cR1aZNJyVEqt0/txJ7TsnsIXPOgNtaSWeedX8haMGv8uDIr0UC8+rV3gBhuJORx
8GeOkixFC5vbjd4stz5q2E+lqw+Y84ItVz183ZuHt6HPYuaIBAckcwS00UjfQWVK
hm3L5CskhF4qJWTpVd9i3aMilzfDFBReviAYWRBAyESoVYGXn/SUPJ2chVPajkgK
Ps0hHQ9wiT3NwuvF9nBRwMiEkk6W7R/NriFABWuYERKWnZoBhtkMoOlYwCyiqHY5
roD497T7gYQW3zr/OThAye6N0ZqpfuWabNg85c/Bh8N45cz3MOAVN5LrvGo85Qa9
nKIHHhC0o7znNTFKk96yFOaKkQ/11TkAhFHgyp2Tf7XVAi1+sEzQYGNaDMfa8SU+
3b/D5pmmWHGLlE6ti33yxtMoaqQMSaL5HicT4UPdNCAJFnGfEaVxvUGu/1sTzb0X
AmyYXj+D4jn0Yx7U6TnmqhU4csb8s+j+tXtS9oW/CoPn6GI71jlOsjyk28TIFRF0
XtygoCb4yktS0dNXTgD+Cc9NwyA619aOuuITPgQVXuq+8h1l9NiprwXXdpbVw0OJ
QPoQ1mcBzjKepg6fYQCJtIJ13OVrXkNGNC7u/8cwv1wlGH6pS4M=
=Z2Vk
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.

Message received at 33759 <at> debbugs.gnu.org:


Received: (at 33759) by debbugs.gnu.org; 16 Dec 2018 15:12:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 16 10:12:32 2018
Received: from localhost ([127.0.0.1]:50490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYY5o-0005eg-Cq
	for submit <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:12:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gYY5n-0005eV-8Z
 for 33759 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:12:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gYY5h-0007pA-Gc
 for 33759 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:12:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41020)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gYY5h-0007p2-CH; Sun, 16 Dec 2018 10:12:25 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=59740 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gYY5h-00040Z-3U; Sun, 16 Dec 2018 10:12:25 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [bug#33759] [PATCH] gnu: linkchecker: Fix build.
References: <20181215121700.11320-1-mail@HIDDEN>
Date: Sun, 16 Dec 2018 16:12:23 +0100
In-Reply-To: <20181215121700.11320-1-mail@HIDDEN> (Christopher Baines's
 message of "Sat, 15 Dec 2018 12:17:00 +0000")
Message-ID: <87h8fdv73c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33759
Cc: 33759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello Chris!

Christopher Baines <mail@HIDDEN> skribis:

> For some reason, the tests fail due to the lack of pytest. But when that's
> added as an input, then some tests fail in other ways.
>
> * gnu/packages/web.scm (linkchecker)[native-inputs]: Add python2-pytest.
> [arguments]: Set #:tests? to #f.

[...]

> +     `(#:python ,python-2
> +       ;; TODO: Tests currently fail. Looks to be a mixture of trying to=
 use
> +       ;; /homeless-shelter and maybe the network.
> +       #:tests? #f))

Did you try adding a phase that does (setenv "HOME" (getcwd))?

IMO it would be best to get some confidence that the test failures are
benign, possibly working around them with tricks as above.

Thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Dec 2018 12:17:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 07:17:19 2018
Received: from localhost ([127.0.0.1]:49020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gY8sf-0001Gp-G6
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 07:17:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gY8sc-0001GU-Ep
 for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 07:17:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gY8sW-0007IB-FG
 for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 07:17:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,UNPARSEABLE_RELAY
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40932)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1gY8sV-0007Gk-D7
 for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 07:17:08 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42255)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gY8sU-0001hm-7e
 for guix-patches@HIDDEN; Sat, 15 Dec 2018 07:17:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gY8sQ-0006z2-7t
 for guix-patches@HIDDEN; Sat, 15 Dec 2018 07:17:06 -0500
Received: from mira.cbaines.net ([2a01:7e00::f03c:91ff:fe69:8da9]:59674)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gY8sQ-0006yg-1c
 for guix-patches@HIDDEN; Sat, 15 Dec 2018 07:17:02 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 24D9E16779
 for <guix-patches@HIDDEN>; Sat, 15 Dec 2018 12:17:01 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 138c5941
 for <guix-patches@HIDDEN>; Sat, 15 Dec 2018 12:17:00 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: linkchecker: Fix build.
Date: Sat, 15 Dec 2018 12:17:00 +0000
Message-Id: <20181215121700.11320-1-mail@HIDDEN>
X-Mailer: git-send-email 2.20.0
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

For some reason, the tests fail due to the lack of pytest. But when that'=
s
added as an input, then some tests fail in other ways.

* gnu/packages/web.scm (linkchecker)[native-inputs]: Add python2-pytest.
[arguments]: Set #:tests? to #f.
---
 gnu/packages/web.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 84bd795a8..607f8efe6 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -5814,8 +5814,13 @@ Instagram and YouTube.")
      `(("python2-dnspython" ,python2-dnspython)
        ("python2-pyxdg" ,python2-pyxdg)
        ("python2-requests" ,python2-requests)))
+    (native-inputs
+     `(("python2-pytest" ,python2-pytest)))
     (arguments
-     `(#:python ,python-2))
+     `(#:python ,python-2
+       ;; TODO: Tests currently fail. Looks to be a mixture of trying to=
 use
+       ;; /homeless-shelter and maybe the network.
+       #:tests? #f))
     (home-page "https://linkcheck.github.io/linkchecker")
     (synopsis "Check websites for broken links")
     (description "LinkChecker is a website validator.  It checks for bro=
ken
--=20
2.20.0





Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33759; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Jan 2019 22:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.